### Method

# Gtk PrintContextset_cairo_context

#### Declaration [src]

    void
    gtk_print_context_set_cairo_context (
      GtkPrintContext* context,
      cairo_t* cr,
      double dpi_x,
      double dpi_y
    )

#### Description [src]

Sets a new cairo context on a print context.

This function is intended to be used when implementing an internal print preview, it is not needed for printing, since GTK itself creates a suitable cairo context in that case.

#### Parameters

`cr`

  Type: `cairo_t`

  The cairo context.

  The data is owned by the caller of the method.

`dpi_x`

  Type: `double`

  The horizontal resolution to use with `cr`.

`dpi_y`

  Type: `double`

  The vertical resolution to use with `cr`.